#ifndef __MENU_RECS_H
#define __MENU_RECS_H

#include <string>
#include <vdr/plugin.h>
#include "tracks.h"

using std::string;

// --- cMenuRecItem ----------------------------------------------------------
class cMenuRecItem : public cOsdItem 
{
  private:
    char* filename;
public:
    cRecording* recording;
    cMenuRecItem(cRecording* Recording);
    ~cMenuRecItem();
    void Set(void);
    char* FileName() { return filename; }
  };

class cMenuRecs : public cOsdMenu 
{
    cRecording *GetRecording(cMenuRecItem *Item);
    void UpdateTitle();
    bool ScanRecordings(void);
    string FormatMark(cTrack* track);
    void Mark();
    eOSState Play(void);
    eOSState Delete(void);
 protected:
    virtual eOSState ProcessKey(eKeys Key);
 public:
    cMenuRecs();
};

#endif
